"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useChatOwnedAmount = void 0;
const react_1 = require("@strata-foundation/react");
const useChat_1 = require("./useChat");
function max(one, two) {
    const oneDefined = typeof one !== "undefined";
    const twoDefined = typeof two !== "undefined";
    if (oneDefined) {
        if (twoDefined) {
            return Math.max(one, two);
        }
        else {
            return one;
        }
    }
    else if (twoDefined) {
        return two;
    }
}
function useChatOwnedAmount(wallet, chatKey) {
    const { info: chat } = (0, useChat_1.useChat)(chatKey);
    const { amount: ownedAmountNft, loading } = (0, react_1.useCollectionOwnedAmount)(chat === null || chat === void 0 ? void 0 : chat.postPermissionKey);
    const ownedAmountToken = (0, react_1.useUserOwnedAmount)(wallet, chat === null || chat === void 0 ? void 0 : chat.postPermissionKey);
    return {
        amount: Object.keys((chat === null || chat === void 0 ? void 0 : chat.readPermissionType) || {})[0] == "nft"
            ? ownedAmountNft
            : ownedAmountToken,
        loading: loading,
    };
}
exports.useChatOwnedAmount = useChatOwnedAmount;
//# sourceMappingURL=useChatOwnedAmount.js.map